Subject: Re: Cygwin 1.3.19/bash prompt bug
From: James Begley <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 31 Jan 2003 13:21:17 +0000 (GMT)

Hi,

>I've just posted about the same issue :) You are missing the entry for 
>james in the /etc/passwd file. Update the passwd database with mkpasswd 
>and you should be fine.

Thanks for that - I have now got it to work, but it wasnt quite as simple as it 
should have been!

The 'administrator' account (that I use infrequently to install/update software) 
is an account local to this PC.  The 'james' account (which I use all the time) 
is a network account, and doesnt show up in the Microsoft "users and passwords" 
tool.

So, after rummaging around in the registry to find out what the 'SID' of the 
network account was, I manually added this to the /etc/passwd file (using the 
helpful hints at http://www.cygwin.com/cygwin-ug-net/ntsec.html)

Having thought about it a bit, I'm not entirely sure why things did work with 
version 1.3.18, since there wasnt an entry in the /etc/passwd file.  However, 
the default guess that used to be there did work.

Thanks again,
James.

James Begley
-- 
Telephone: +354-552-0240.
Marine Research Institute,
Skulagata 4, P.O. Box 1390,
121 Reykjavik, Iceland.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/